/***********************************************************************

	File:	s3itypes.h
	Rev:	i-2
	Date:	01/25/2025

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	Standard types to improve the portability of C/C++.

************************************************************************

	Modification Log:

	a-1:	09/07/2015	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/

#ifndef S3ITYPES_H
#define	S3ITYPES_H

typedef unsigned long long 	int64u;
typedef unsigned int		int32u;
typedef unsigned short		int16u;
typedef unsigned char		int8u;

typedef long long 		int64s;
typedef int			int32s;
typedef short			int16s;
typedef signed char		int8s;

#ifndef	__cplusplus
typedef unsigned char		bool;
#endif

#endif
