/***********************************************************************

	File:	scanutils.h
	Rev:	a-2
	Date:	01/25/2025

	Copyright (c) 1997, 2025 by David M. Warme

************************************************************************

	Various string scanning utilities.

************************************************************************

	Modification Log:

	a-1:	09/07/2015	warme
		: Created.
	a-2:	01/25/2025	warme
		: Cleanup for initial release.

************************************************************************/


#ifndef	SCANUTILS_H
#define	SCANUTILS_H

extern const char *	get_int (const char * s, int * value);
extern const char *	match_mixed_case (const char *	s,
					  const char **	table);

#endif
